﻿package 
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.text.TextFormatAlign;
	import flash.text.TextFieldAutoSize;
	import flash.text.AntiAliasType;
	import flash.filters.DropShadowFilter;
	import flash.geom.Matrix;
	import flash.display.Graphics;
	import flash.display.GradientType;
	import flash.display.SpreadMethod;

	public class SlideClass extends Sprite
	{
		private var col:uint;
		private var initWidth:int;
		private var sheight:int;

		public var slidebg:Sprite;
		private var menuTextColor:uint;
		private var menuTextFont:String;
		private var FontSize:int;
		public var sID:int;
		public var textW:Number;
		public var textH:Number;

		private var sGradient:Sprite;
		private var fillType:String = GradientType.LINEAR;
		private var sGradCols:Array;
		private var alphas:Array;
		private var ratios:Array;
		private var spreadMethod:String = SpreadMethod.REFLECT;
		private var matr:Matrix;

		public var slideText:TextField;
		private var menuTextFormat:TextFormat;
		private var textShadowCol:uint;
		private var slideTextFilter:DropShadowFilter; 

		public function SlideClass (col, initWidth, sheight, menuTextColor, menuTextFont, FontSize, textShadowCol, sGradCols, alphas, ratios):void
		{
			slidebg = new Sprite();
			slidebg.graphics.beginFill (col, 1);
			slidebg.graphics.drawRect (0, 0, initWidth, sheight);
			slidebg.graphics.endFill ();

			sGradient = new Sprite();
			matr = new Matrix();
			matr.createGradientBox (initWidth * .5, 0, 0, 0, 0);
			sGradient.graphics.beginGradientFill (fillType, sGradCols, alphas, ratios, matr, spreadMethod);
			sGradient.graphics.drawRect (0, 0, initWidth, sheight);

			menuTextFormat = new TextFormat();
			menuTextFormat.align = TextFormatAlign.LEFT;
			menuTextFormat.font = menuTextFont;
			menuTextFormat.size = FontSize;
			menuTextFormat.color = menuTextColor;

			slideText = new TextField();
			slideText.embedFonts = true;
			slideText.antiAliasType = AntiAliasType.ADVANCED;
			slideText.defaultTextFormat = menuTextFormat;
			slideText.autoSize = TextFieldAutoSize.LEFT;
			slideTextFilter = new DropShadowFilter(3, 45, textShadowCol, 1, 2, 2);
			slideText.filters = [slideTextFilter];

			slidebg.addChild(sGradient);
			addChild (slidebg);
			addChild (slideText);
		}
	}
}